## org.eclipse.datatools.sqltools.core.services
Interface ConnectionService.ConnectionProcessor

Enclosing class:
  ConnectionService

    public static interface ConnectionService.ConnectionProcessor

This interface can be implemented to do vendor-specific processing of the connection, e.g. parse the SQLException and append messages to SQL results view.

Method Summary
`void` `prepare(java.sql.Connection con)` Initializes the environment for running
`void` `process(java.lang.Object object)` Does the specific thing
`void` `release()` Releases all resources that were initialized at the point of preparation

Method Detail

### prepare

    void prepare(java.sql.Connection con)

  Initializes the environment for running

  Parameters:
    `con` -

### process

    void process(java.lang.Object object)

  Does the specific thing

  Parameters:
    `object` - object to be processed, e.g. OperationCommand

### release

    void release()

  Releases all resources that were initialized at the point of preparation

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.